unset WORKSHOP_ROOT
export WORKSHOP_ROOT="/opt/Forte-10.1/SUNWspro/prod"
## If you would like to see the template instantiations at compile time,
## set the VERBOSE_TEMPLATE variable.
export VERBOSE_TEMPLATE="-verbose=template"
export CC="${WORKSHOP_ROOT}/bin/cc"
export CXX="${WORKSHOP_ROOT}/bin/CC"
export XLDSCOPE="-xldscope=symbolic -xcrossfile=1"
## export XLDSCOPE ""
export XDUMPMACROS=""
## export XDUMPMACROS "-xdumpmacros=%all"
export LINKCRUNCSTD="/usr/lib/libCrun.so.1 /usr/lib/libCstd.so.1"
## export XLINKOPT=" -xlinkopt=2"
export XLINKOPT=""

## Solaris 9+ SPARC ONLY
# export XPAGESIZE="-xpagesize=default"
## Solaris 8 and X86
export XPAGESIZE=""

export OPENSSLROOT="/opt/fsw4sun/ssl"

unset CFLAGS
export CFLAGS="  -erroff=%all -errshort=full -errfmt=error -errwarn=%none -xO5 -s -xc99=%all,no%lib -xjobs=2 -xregs=no%frameptr -xrestrict=%all -dalign -xprefetch=auto -xbuiltin=%all -xcsi -xinline=%auto -xustr=ascii_utf16_ushort -xvis=yes -z now -z rescan -z absexec -xildoff ${XLDSCOPE} ${XPAGESIZE} ${XLINKOPT} -xF=%all -xalias_level=std -xsafe=mem -xthreadvar -lpthread -lposix4 -lrt -mt -D_REENTRANT -D__EXTENSIONS__ -D_XPG6 -DQT_QLOCALE_NEEDS_VOLATILE -DSOLARIS -DQT_QLOCALE_NEEDS_VOLATILE -DSOLARIS10 -DUSE_SOLARIS -DNDEBUG -DNO_DEBUG -KPIC -xtarget=pentium -xarch=sse2 -xchip=pentium4 -xcache=8/64/4:256/128/8 -xO5 -s "
 
export CPP="${CC} ${CFLAGS} -E -D_REENTRANT"

unset LDFLAGS
export LDFLAGS=" -L/opt/fsw4sun/lib /opt/fsw4sun/lib/libconv.so /opt/fsw4sun/lib/libintl.so -L/opt/fsw4sun/unixODBC-2.2.11/lib -L/opt/fsw4sun/pgsql-7.4.6/lib -L/opt/fsw4sun/krb-1.3.5/lib -L/opt/fsw4sun/sasl-2.1.19/lib -L/opt/fsw4sun/openldap-2.2.17/lib -L/opt/fsw4sun/net-snmp-5.1.2/lib -L/opt/fsw4sun/samba-3.0.9/lib -L/opt/fsw4sun/openslp-1.0.11/lib -L/opt/fsw4sun/cups-1.1.23/lib -L${WORKSHOP_ROOT}/lib -lc -lsunmath -lm -ldl -L/usr/dt/lib -L/usr/openwin/lib -L/usr/X11/lib -L/usr/ccs/lib -L/usr/lib -R/opt/fsw4sun/lib:/opt/fsw4sun/ssl/lib:/opt/fsw4sun/freetype-2.1.7/lib:/opt/fsw4sun/fontconfig-2.2.0/lib:/opt/qt-3.3.4-32/lib:/opt/fsw4sun/unixODBC-2.2.11/lib:/opt/fsw4sun/pgsql-7.4.6/lib:/opt/fsw4sun/krb-1.3.5/lib:/opt/fsw4sun/sasl-2.1.19/lib:/opt/fsw4sun/openldap-2.2.17/lib:/opt/fsw4sun/net-snmp-5.1.2/lib:/opt/fsw4sun/samba-3.0.9/lib:/opt/fsw4sun/openslp-1.0.11/lib:/opt/fsw4sun/cups-1.1.23/lib:/usr/openwin/lib:/usr/X11/lib:/ust/dt/lib:/usr/lib:/usr/ccs/lib -KPIC -lpthread -lposix4 -lrt -mt -D_REENTRANT -DQT_QLOCALE_NEEDS_VOLATILE -DSOLARIS -DQT_QLOCALE_NEEDS_VOLATILE -DSOLARIS10 -DUSE_SOLARIS ${LINKCRUNCSTD} ${XLDSCOPE} -xlibmil ${XPAGESIZE} -xF=%all -xthreadvar -z now -z rescan -z absexec -xtarget=pentium -xarch=sse2 -xcache=8/64/4:256/128/8 -xO5 -s "

unset CPPFLAGS
export CPPFLAGS="-I${WORKSHOP_ROOT}/include/CC -I${WORKSHOP_ROOT}/include/CC/Cstd -I/usr/dt/include -I/usr/X11/include -I/usr/openwin/include -I/opt/fsw4sun/include -I/opt/fsw4sun/ssl/include -I/opt/fsw4sun/pgsql-7.4.6/include -I/opt/fsw4sun/unixODBC-2.2.11/include -I/opt/fsw4sun/libxml2-2.6.19/include -I/opt/fsw4sun/libxslt-1.1.14/include -I/opt/fsw4sun/python-2.3.4/include -I/opt/fsw4sun/include -I/opt/fsw4sun/qt-3.3.4-32/include -I/opt/fsw4sun/freetype-2.1.7/include/freetype2 -I/opt/fsw4sun/freetype-2.1.7/include -I/opt/fsw4sun/fontconfig-2.2.0/include -I/opt/fsw4sun/openslp-1.0.11/include -I/opt/fsw4sun/cups-1.1.23/include -I/opt/fsw4sun/krb-1.3.5/include -I/opt/fsw4sun/sasl-2.1.19/include -I/opt/fsw4sun/openldap-2.2.17/include -I/opt/fsw4sun/net-snmp-5.1.2/include -I/opt/fsw4sun/samba-3.0.9/include -I/opt/fsw4sun/ssl/include "

unset CXXFLAGS
export CXXFLAGS=" -features=%all,extensions -instances=global -template=geninlinefuncs ${VERBOSE_TEMPLATE} -xO5 -s -xregs=no%frameptr -xrestrict=%all -xprefetch=auto -xbuiltin=%all -xinline=%auto -xjobs=2 ${XPAGESIZE} -xlibmil -xustr=ascii_utf16_ushort -xlibmopt -z now -z rescan -z absexec ${XLDSCOPE} ${XLINKOPT} -xalias_level=compatible -xildoff -lpthread -lposix4 -lrt -mt -D_REENTRANT -DNDEBUG -DNO_DEBUG -KPIC ${XPAGESIZE} -xF=%all -xthreadvar ${XDUMPMACROS}  -D__EXTENSIONS__ -D_XPG6 -DQT_QLOCALE_NEEDS_VOLATILE -DSOLARIS -DQT_QLOCALE_NEEDS_VOLATILE -DSOLARIS10 -DUSE_SOLARIS -xtarget=pentium -xarch=sse2 -xchip=pentium4 -xcache=8/64/4:256/128/8 -xO5 -s "
export F77="/opt/Forte-10.1/SUNWspro/prod/bin/f90"
export F77FLAGS=" -erroff=%all -errshort=full -errfmt=error -errwarn=%none -xO5 -s -xc99=%all,no%lib -xjobs=2 -dalign -xprefetch=auto -dbl_align_all=yes -f77=%all -xbuiltin=%all -xcsi -xinline=%auto -xustr=ascii_utf16_ushort -z now -z rescan -z absexec -xildoff -xF=%all -xsafe=mem -xthreadvar -mt -lpthread -lposix4 -lrt -D_REENTRANT -DQT_QLOCALE_NEEDS_VOLATILE -DSOLARIS -DQT_QLOCALE_NEEDS_VOLATILE -DSOLARIS10 -DUSE_SOLARIS -DNDEBUG -DNO_DEBUG -KPIC -xtarget=pentium -xarch=sse2 -xchip=pentium4 -xcache=8/64/4:256/128/8 -xO5 -s "

export FFLAGS="${F77FLAGS}"
export CXXCPP="${CXX} ${CXXFLAGS} -E -D_REENTRANT"

export GCC="no"
export GXX="no"
export M4="/opt/fsw4sun/bin/m4"

