/****************************************************************************
** Image collection for project 'ftpclient'.
**
** Generated from reading image files: 
**      images/file.png
**      images/folder.png
**
** Created: Tue Sep 27 01:05:27 2005
**      by: The User Interface Compiler ($Id: qt/embed.cpp   3.3.4   edited May 5 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include <qimage.h>
#include <qdict.h>
#include <qmime.h>
#include <qdragobject.h>

// images/file.png
static const unsigned char image_0_data[] = {
    0x00,0x00,0x03,0x0c,0x78,0x9c,0xfb,0x5f,0x5f,0x5f,0xff,0x9f,0x08,0xcc,
    0x70,0xec,0xd8,0x31,0x18,0x06,0x8b,0x11,0x02,0xfb,0xf7,0xef,0x47,0xd6,
    0x47,0xb4,0x1e,0x10,0x80,0xea,0x23,0x4a,0x0f,0x03,0x03,0x03,0x0a,0x26,
    0x46,0x0f,0xb2,0x7d,0xa3,0x7a,0x86,0x86,0x1e,0x10,0x9b,0x58,0x8c,0x9e,
    0x26,0x88,0xc4,0x00,0xea,0x56,0x78,0x68
};

// images/folder.png
static const unsigned char image_1_data[] = {
    0x00,0x00,0x03,0x84,0x78,0x9c,0x63,0x38,0x76,0xec,0x18,0x03,0x85,0xf8,
    0xff,0xcc,0x99,0x33,0xd1,0x31,0xd1,0xfa,0xce,0x9c,0x39,0xf3,0xff,0xff,
    0x7f,0x06,0x14,0x9a,0x80,0x7e,0x9c,0xfa,0x90,0xf4,0xe3,0x72,0x13,0x98,
    0x4d,0x2a,0x00,0xe9,0x61,0x60,0x60,0x40,0xd2,0x8b,0xdd,0x5e,0x6c,0x34,
    0xba,0x5e,0x62,0xf5,0xc1,0xfc,0x31,0x6a,0x2f,0xe9,0xf6,0x92,0x83,0x81,
    0x7a,0xc1,0xe9,0x03,0x64,0x06,0x19,0x98,0x92,0xfc,0x03,0x00,0xd9,0x0b,
    0x6d,0x5b
};

static struct EmbedImage {
    int width, height, depth;
    const unsigned char *data;
    ulong compressed;
    int numColors;
    const QRgb *colorTable;
    bool alpha;
    const char *name;
} embed_image_vec[] = {
    { 13, 15, 32, (const unsigned char*)image_0_data, 64, 0, 0, TRUE, "file.png" },
    { 15, 15, 32, (const unsigned char*)image_1_data, 86, 0, 0, TRUE, "folder.png" },
    { 0, 0, 0, 0, 0, 0, 0, 0, 0 }
};

static QImage uic_findImage( const QString& name )
{
    for ( int i=0; embed_image_vec[i].data; i++ ) {
	if ( QString::fromUtf8(embed_image_vec[i].name) == name ) {
	    QByteArray baunzip;
	    baunzip = qUncompress( embed_image_vec[i].data, 
		embed_image_vec[i].compressed );
	    QImage img((uchar*)baunzip.data(),
			embed_image_vec[i].width,
			embed_image_vec[i].height,
			embed_image_vec[i].depth,
			(QRgb*)embed_image_vec[i].colorTable,
			embed_image_vec[i].numColors,
			QImage::BigEndian
		);
	    img = img.copy();
	    if ( embed_image_vec[i].alpha )
		img.setAlphaBuffer(TRUE);
	    return img;
        }
    }
    return QImage();
}

class MimeSourceFactory_ftpclient : public QMimeSourceFactory
{
public:
    MimeSourceFactory_ftpclient() {}
    ~MimeSourceFactory_ftpclient() {}
    const QMimeSource* data( const QString& abs_name ) const {
	const QMimeSource* d = QMimeSourceFactory::data( abs_name );
	if ( d || abs_name.isNull() ) return d;
	QImage img = uic_findImage( abs_name );
	if ( !img.isNull() )
	    ((QMimeSourceFactory*)this)->setImage( abs_name, img );
	return QMimeSourceFactory::data( abs_name );
    };
};

static QMimeSourceFactory* factory = 0;

void qInitImages_ftpclient()
{
    if ( !factory ) {
	factory = new MimeSourceFactory_ftpclient;
	QMimeSourceFactory::defaultFactory()->addFactory( factory );
    }
}

void qCleanupImages_ftpclient()
{
    if ( factory ) {
	QMimeSourceFactory::defaultFactory()->removeFactory( factory );
	delete factory;
	factory = 0;
    }
}

class StaticInitImages_ftpclient
{
public:
    StaticInitImages_ftpclient() { qInitImages_ftpclient(); }
#if defined(Q_OS_SCO) || defined(Q_OS_UNIXWARE)
    ~StaticInitImages_ftpclient() { }
#else
    ~StaticInitImages_ftpclient() { qCleanupImages_ftpclient(); }
#endif
};

static StaticInitImages_ftpclient staticImages;
